NioEndpoint.TaskQueue (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.NioEndpoint.TaskQueue class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class NioEndpoint.TaskQueue

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractQueue<E>
              java.util.concurrent.LinkedBlockingQueue<java.lang.Runnable>
                  org.apache.tomcat.util.net.NioEndpoint.TaskQueue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<java.lang.Runnable>, java.util.Collection<java.lang.Runnable>, java.util.concurrent.BlockingQueue<java.lang.Runnable>, java.util.Queue<java.lang.Runnable>

Enclosing class:
  NioEndpoint

    public static class NioEndpoint.TaskQueue

extends java.util.concurrent.LinkedBlockingQueue<java.lang.Runnable>

See Also:
  Serialized Form

Constructor Summary
`NioEndpoint.TaskQueue()`
`NioEndpoint.TaskQueue(java.util.Collection<? extends java.lang.Runnable> c)`
`NioEndpoint.TaskQueue(int initialCapacity)`

Method Summary
`boolean` | `offer(java.lang.Runnable o)`
`void` | `setParent(java.util.concurrent.ThreadPoolExecutor tp, NioEndpoint ep)`

Methods inherited from class java.util.concurrent.LinkedBlockingQueue
`clear, drainTo, drainTo, iterator, offer, peek, poll, poll, put, remainingCapacity, remove, size, take, toArray, toArray, toString`

Methods inherited from class java.util.AbstractQueue
`add, addAll, element, remove`

Methods inherited from class java.util.AbstractCollection
`contains, containsAll, isEmpty, removeAll, retainAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.concurrent.BlockingQueue
`add`

Methods inherited from interface java.util.Queue
`element, remove`

Methods inherited from interface java.util.Collection
`addAll, contains, containsAll, equals, hashCode, isEmpty, removeAll, retainAll`

Constructor Detail

### NioEndpoint.TaskQueue

    public NioEndpoint.TaskQueue()

### NioEndpoint.TaskQueue

    public NioEndpoint.TaskQueue(int initialCapacity)

### NioEndpoint.TaskQueue

    public NioEndpoint.TaskQueue(java.util.Collection<? extends java.lang.Runnable> c)

Method Detail

### setParent

    public void setParent(java.util.concurrent.ThreadPoolExecutor tp,
                          NioEndpoint ep)

### offer

    public boolean offer(java.lang.Runnable o)

  Specified by:
    `offer` in interface `java.util.concurrent.BlockingQueue<java.lang.Runnable>`
  Specified by:
    `offer` in interface `java.util.Queue<java.lang.Runnable>`
  Overrides:
    `offer` in class `java.util.concurrent.LinkedBlockingQueue<java.lang.Runnable>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.